class Textigniter::Parsers::ManifestParser
  
  def initialize

  end
  
  def write_manifest(format)
    # get the items
    items = Dir.glob("#{$twd}/#{format}/**/*")   
    # create an array to store the new build list in
    manifest = Array.new
    # Clean up the build list
    items.each do |l|
      # if not a directory keep the file
      unless File.directory?(l)
        manifest.push({ filename: l, modified_at: File.mtime(l) })
      end
    end 
    # write the manifest to file
    File.open("#{$twd}/manifests/#{format}.yml", 'w') do |file|
       file.write manifest.to_yaml
    end
  end
  
  # get the manifest
  def get_manifest(filename)
    # manifiest file path
    file = "#{$twd}/manifests/#{filename}.yml"
    # check to see if manifest exists
    if File.file?(file)
      # get the contents
      the_manifest = YAML::load(File.open(file))
    else
      # fake contents
      the_manifest = Array.new
    end
    # return the manifiest
    return the_manifest
  end
  
end