class Textigniter::Plugins::Breadcrumbs
  
  def parse(h)
    value = "#{h['breadcrumbs']}"
    value.gsub!("#{$twd}/content/", '')

    unless value == "index"
      # begin breadcrumbs
      breadcrumbs = "<a href=\"#{$config['site_url']}\" class=\"home\">Home</a>"
      # split the string by /
      values = value.split(/\//)
      # current page
      current = values.last
      # remove current from values
      values.pop
      
      values.each do |v|
        breadcrumbs << " | <a href=\"#{$config['site_url']}/#{v}\">#{v}</a>"
      end
      
      breadcrumbs << " | <span class=\"current\">#{h['title']}</span>"
      
    else
      breadcrumbs = "Home"
    end
    
    return breadcrumbs
    
  end
  
end